//  NearbyFriend
//  Copyright 2008 Urs Hengartner <uhengart@cs.uwaterloo.ca>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of version 2 of the GNU General Public License as
//  published by the Free Software Foundation.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  There is a copy of the GNU General Public License in the COPYING file
//  packaged with this plugin; if you cannot find it, write to the Free
//  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
//  02111-1307  USA

#ifndef __NBF_DIALOGS_H__
#define __NBF_DIALOGS_H__

typedef struct {
    void (*init)(void);

    void (*cleanup)(void);

    void (*notify_message)(PurpleNotifyMsgType type,
        const char *accountname, const char *protocol, const char *username,
        const char *title, const char *primary, const char *secondary);

    int (*display_nbf_message)(const char *accountname, const char *protocol,
            const char *username, const char *msg);

} NbfDialogUiOps;

/* Set the UI ops */
void nbf_dialog_set_ui_ops(const NbfDialogUiOps *ops);

/* Put up the error version of nbf_dialog_notify_message */
void nbf_dialog_notify_error(const char *accountname, const char *protocol,
        const char *username, const char *title, const char *primary,
        const char *secondary);

/* Display an NBF control message for the given accountname / protocol /
 * username conversation.  Return 0 on success, non-0 on error (in which
 * case the message will be displayed inline as a received message). */
int nbf_dialog_display_nbf_message(const char *accountname,
				   const char *protocol, 
				   const char *username, const char *msg);


#endif
