//  NearbyFriend
//  Copyright 2008 Urs Hengartner <uhengart@cs.uwaterloo.ca>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of version 2 of the GNU General Public License as
//  published by the Free Software Foundation.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  There is a copy of the GNU General Public License in the COPYING file
//  packaged with this plugin; if you cannot find it, write to the Free
//  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
//  02111-1307  USA

#ifndef __LOCATION_H__
#define __LOCATION_H__

typedef enum {
    NBF_LOCATION_AP,
    NBF_LOCATION_IP
} NbfLocationType;

typedef struct s_Location {
    double longitude;
    double latitude;
    int x;
    int y;
    int timestamp;    // when was measurement made (milliseconds since the Epoch)
    NbfLocationType type;
} NbfLocation;

/*
 * Called initially.
 */
void nbf_location_init(void);

gboolean nbf_sample_location(gpointer data);

/*
 * Return current location measurement, caller needs to free it 
 */
NbfLocation* nbf_get_location(void);

#endif
