//  NearbyFriend
//  Copyright 2008 Urs Hengartner <uhengart@cs.uwaterloo.ca>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of version 2 of the GNU General Public License as
//  published by the Free Software Foundation.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  There is a copy of the GNU General Public License in the COPYING file
//  packaged with this plugin; if you cannot find it, write to the Free
//  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
//  02111-1307  USA

#ifndef __OTRG_UI_H__
#define __OTRG_UI_H__

#include "context.h"

/* Global preferences */
typedef struct {
    gint samplingfrequency;
    gint locationstale;
    gint nearbydistance;
    gint queryfrequency;
} NbfgUiPrefs;

typedef struct {
    void (*init)(void);

    void (*cleanup)(void);

    void (*config_buddy)(PurpleBuddy *buddy);

    void (*get_prefs)(NbfgUiPrefs *prefsp);

} NbfgUiUiOps;

/* Set the UI ops */
void nbfg_ui_set_ui_ops(const NbfgUiUiOps *ops);

/* Get the UI ops */
const NbfgUiUiOps *nbfg_ui_get_ui_ops(void);

/* Initialize the UI subsystem */
void nbfg_ui_init(void);

/* Deinitialize the UI subsystem */
void nbfg_ui_cleanup(void);

/* Configure OTR for a particular buddy */
void nbfg_ui_config_buddy(PurpleBuddy *buddy);

/* Load the preferences for a particular account / username */
void nbfg_ui_get_prefs(NbfgUiPrefs *prefsp);

#endif
